 <div class="resource-download-item">

   <div class="first-line">
     <div class="resource-left">
       <app-format-icon [formatName]="getFormatName()">
       </app-format-icon>
       <div class="resource-main">
         <div class="resource-main-name">
           <span *ngIf="!isHttpLink()">{{isQueryable ? resource.metadataLink.name + '.' + format.fileExtension : link.file_name ? link.file_name:link.url }}
           </span>
           <span *ngIf="isHttpLink()"><a [href]="link.url" target="_blank">{{link.url }}</a>
          </span>
         </div>
         <div class="resource-options is-hidden-mobile" *ngIf="format && format.isProjectable">
           <div>
             <span *ngIf="this.selectedProjection"> {{this.selectedProjection.name}}
             </span>
           </div>

           <div *ngIf="format && format.isCuttable && inseeLabel">
             <span>&nbsp;-&nbsp;</span>
             <span *ngIf="selectedInsee">{{ this.selectedInsee.commune }}</span>
              <span i18n="@@dataset.resources.allcommune" *ngIf="! selectedInsee">
                All the municipalities
              </span>
           </div>
         </div>
       </div>
     </div>

     <div class="right-buttons">
       <button *ngIf="format && ((format.isCuttable && inseeLabel) || format.isProjectable)"
       class="options-icon is-hidden-mobile" [ngClass]="{'is-open': isOptionOpen}"
       (click)="isOptionOpen = !isOptionOpen">

         <svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
           x="0px" y="0px" viewBox="0 0 44 44" style="enable-background:new 0 0 44 44;" xml:space="preserve" aria-hidden="true">
           <style type="text/css">
             .st0 {
               fill: none;
               stroke: #818080;
               stroke-width: 1.5;
             }
           </style>
           <path class="st0" d="M22,26c-2.2,0-4-1.8-4-4s1.8-4,4-4s4,1.8,4,4S24.2,26,22,26z" />
           <path class="st0" d="M33,23.4v-2.7l-0.1-0.2c-0.2-0.3-0.6-1.1-1.5-1.1h-0.8c-0.2-0.5-0.4-1-0.6-1.5l0.8-0.8c0.1-0.1,0.3-0.3,0.3-0.5
	c0.1-0.2,0.1-0.4,0.1-0.6c0-0.2,0-0.8-0.5-1.1l-1.8-1.8c-0.6-0.6-1.5-0.6-2.1,0L26,13.9c-0.4-0.2-0.8-0.4-1.2-0.5v-0.9
	c0-0.8-0.7-1.5-1.5-1.5h-2.5c-0.9,0-1.5,0.7-1.5,1.5v0.9c-0.5,0.1-0.9,0.3-1.3,0.5l-0.9-0.9c-0.6-0.6-1.5-0.6-2.1,0l-1.8,1.8
	c-0.1,0.1-0.3,0.3-0.3,0.5c-0.1,0.2-0.1,0.4-0.1,0.6c0,0.2,0,0.8,0.5,1.1l0.8,0.8c-0.3,0.5-0.5,1-0.6,1.5h-0.8
	c-0.9,0-1.5,0.7-1.5,1.5v2.5c0,0.8,0.7,1.5,1.5,1.5h0.8c0.1,0.4,0.3,0.8,0.5,1.2l-0.7,0.7l0,0c-0.1,0.1-0.3,0.3-0.3,0.5
	c-0.1,0.2-0.1,0.4-0.1,0.6c0,0.2,0,0.8,0.5,1.1l1.8,1.8c0.1,0.1,0.3,0.3,0.5,0.3c0.2,0.1,0.4,0.1,0.6,0.1c0.2,0,0.8,0,1.1-0.5
	l0.6-0.6c0.5,0.3,1,0.5,1.6,0.7v0.6c0,0.8,0.7,1.5,1.5,1.5h2.5c0.9,0,1.5-0.7,1.5-1.5v-0.7c0.5-0.2,1-0.4,1.4-0.6l0.5,0.5
	c0.1,0.1,0.3,0.3,0.5,0.3c0.2,0.1,0.4,0.1,0.6,0.1c0.2,0,0.8,0,1.1-0.5l1.7-1.7c0.1-0.1,0.3-0.3,0.3-0.5c0.1-0.2,0.1-0.4,0.1-0.6
	c0-0.2,0-0.8-0.5-1.1l-0.5-0.5c0.2-0.4,0.4-0.9,0.5-1.3h0.8C32.3,24.9,33,24.2,33,23.4z" />
         </svg>
         <span class="sr-only">Options</span>
       </button>


       <app-link-copy-icon
           [linkUrl]="queryableUrl"
           [displayLink]="false"
           [fileName]="fileName">

         <div class="resource-download-icon" *ngIf="!isHttpLink()">
           <app-download-button [url]="queryableUrl" [fileName]="fileName">
           </app-download-button>
         </div>
       </app-link-copy-icon>

     </div>
   </div>


   <div class="filter-items is-hidden-mobile" *ngIf="isQueryable && isOptionOpen">

     <div class="division-item" *ngIf="format.isCuttable && inseeLabel">
       <div class="label-dropdown title-label">
         <span i18n="@@dataset.resources.divisionbycommune">
           Division by municipality
         </span>
       </div>
       <div>
         <!-- Dropdown for insee when needed -->
         <div class="dropdown dropdown-insee" [ngClass]="{'is-active': dropDownInseeToggle}"
           (click)="dropDownInseeToggle=!dropDownInseeToggle" (clickOutside)="dropDownInseeToggle = false;">
           <div class="dropdown-trigger">
             <button class="button" aria-haspopup="true" aria-controls="dropdown-menu">
               <span
                 *ngIf="selectedInsee">{{ selectedInsee ? selectedInsee.commune + ' - ' + selectedInsee.insee : ''}}</span>
               <span *ngIf="!selectedInsee" i18n="@@dataset.resources.commune">All</span>
               <svg xmlns="http://www.w3.org/2000/svg" id="chevron" viewBox="0 0 15 9">
                 <path
                   d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                   class="brandcolor" />
                 <path
                   d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                   class="brandcolor" />
               </svg>
             </button>
           </div>
           <div class="dropdown-menu" id="dropdown-menu" role="menu">
             <div class="dropdown-content">
               <a class="dropdown-item" (click)="setInsee(null)" i18n="@@global.all.commune">All</a>
               <a class="dropdown-item" [title]="zone.commune + ' ' + zone.insee"
               *ngFor="let zone of communeInseeList" (click)="setInsee(zone)">
                 {{ zone.commune }} - {{ zone.insee }}
               </a>
             </div>
           </div>
         </div>
       </div>
     </div>

     <div class="projection-item" *ngIf="format.isProjectable">
       <div class="label-dropdown title-label">
         <span i18n="@@dataset.resources.projectionsystem">
           Projection system
         </span>
       </div>
       <div>
         <!-- Dropdow for projections -->
         <div class="dropdown" [ngClass]="{'is-active': dropDownProjectionToggle}"
           (click)="dropDownProjectionToggle=!dropDownProjectionToggle"
           (clickOutside)="dropDownProjectionToggle = false;">
           <div class="dropdown-trigger">
             <button class="button" aria-haspopup="true" aria-controls="dropdown-menu">
               <span>{{ getProjectionLabel(selectedProjection.name) }}</span>
               <svg xmlns="http://www.w3.org/2000/svg" id="chevron" viewBox="0 0 15 9">
                 <path
                   d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                   class="brandcolor" />
                 <path
                   d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                   class="brandcolor" />
               </svg>
             </button>
           </div>
           <div class="dropdown-menu" id="dropdown-menu" role="menu">
             <div class="dropdown-content">
               <a class="dropdown-item" [title]="getProjectionLabel(projection.name)"
               *ngFor="let projection of projectionList" (click)="setProjection(projection)">
                 {{ getProjectionLabel(projection.name) }}
               </a>
             </div>
           </div>
         </div>
       </div>
     </div>
   </div>
 </div>
